QueryIPSecConnection
QueryIPSecConnection
/zstack/v1/ipsec/zstack/v1/ipsec/{uuid}Operation ID
QueryIPSecConnectionSince
4.5.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
Query Parameters
qStringQuery conditions.
Responses
200 OKOn success, this API returns the following response structure.
successbooleanRequiredWhether the operation succeeded.
errorErrorCodeRequiredThe error code. If not null, the operation fails, or vice versa. For more information, see error.
codeStringRequiredThe error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.
descriptionStringRequiredThe brief description of the error.
detailsStringRequiredThe details about the error.
elaborationStringRequiredThe reserved field. Default value: null.
opaqueLinkedHashMapRequiredThe reserved field. Default value: null.
causeErrorCodeRequiredThe root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.
inventoriesListRequiredSee inventories.
uuidStringRequiredThe resource UUID.
nameStringRequiredThe resource name.
descriptionStringRequiredThe detailed description of the resource.
peerAddressStringRequiredThe remote network address.
authModeStringRequiredThe authentication mode.
authKeyStringRequiredThe authentication key.
vipUuidStringRequiredThe VIP UUID.
ikeAuthAlgorithmStringRequiredThe IKE authentication algorithm.
ikeEncryptionAlgorithmStringRequiredThe IKE encryption algorithm.
ikeDhGroupIntegerRequiredThe IKE DH group.
policyAuthAlgorithmStringRequiredThe ESP authentication algorithm.
policyEncryptionAlgorithmStringRequiredThe ESP encryption algorithm.
pfsStringRequiredThe PFS DH group.
policyModeStringRequiredThe encryption mode.
transformProtocolStringRequiredThe security protocol.
ikeVersionStringRequiredThe IKE version.
idTypeStringRequiredThe ID configuration method.
localIdStringRequiredThe local ID.
remoteIdStringRequiredThe remote ID.
stateStringRequiredThe running state.
statusStringRequiredThe ready status.
ikeLifeTimeintRequiredThe IKE lifetime.
lifeTimeintRequiredThe IPsec lifetime.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
peerCidrsListRequiredSee peerCidrs.
uuidStringRequiredThe resource UUID.
cidrStringRequiredThe cidr.
connectionUuidStringRequiredThe connection UUID.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
l3NetworkRefsListRequiredSee l3NetworkRefs.
uuidStringRequiredThe resource UUID.
connectionUuidStringRequiredThe connection UUID.
l3NetworkUuidStringRequiredThe L3 network UUID.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
